<!DOCTYPE html>
<html lang="es">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />

    <!-- Compiled and minified CSS -->
    <link
      rel="stylesheet"
      href="https://cdnjs.cloudflare.com/ajax/libs/materialize/1.0.0/css/materialize.min.css"
    />

    <link
      href="https://fonts.googleapis.com/icon?family=Material+Icons"
      rel="stylesheet"
    />
    <link rel="stylesheet" href="css/style.css" />
    <link rel="icon" type="image/svg+xml" href="/img/icon.svg" />
    <title>La Floreria</title>
  </head>

  <body onload="M.toast({html: '<%= msg %>'})">
   
    <div class="navbar-fixed">
      <nav class="nav-extended">
        <div class="nav-wrapper">
          <a href="/" class="brand-logo">
            <span class="material-icons"> emoji_nature </span>La Floreria</a
          >
          <a href="#" data-target="mobile-demo" class="sidenav-trigger"
            ><i class="material-icons">menu</i></a
          >
          <ul id="nav-mobile" class="right hide-on-med-and-down">
            <li><a href="#catalogo">Catalogo</a></li>
            <li>
              <a href="#productos">Productos</a>
            </li>
            <li><a href="#nosotros">Nosotros</a></li>
          </ul>
        </div>
      </nav>
    </div>
    <ul class="sidenav" id="mobile-demo">
      <li>
        <div class="user-view">
          <div class="background">
            <img
              src="https://images.pexels.com/photos/4466560/pexels-photo-4466560.jpeg?auto=compress&cs=tinysrgb&dpr=2&h=650&w=940"
            />
          </div>
          <!-- <a href="#user"><img class="circle" src="images/yuna.jpg"></a> -->
          <a href="#name"><span class="white-text name">John Doe</span></a>
          <a href="#email"
            ><span class="white-text email">jdandturk@gmail.com</span></a
          >
        </div>
      </li>
      <li>
        <a href="#" data-target="mobile-demo" class="sidenav-trigger"
          ><i class="material-icons">menu</i></a
        >
      </li>
      <li>
        <a href="#!"><i class="material-icons">cloud</i>First Link With Icon</a>
      </li>
      <li><a href="#!">Second Link</a></li>
      <li>
        <div class="divider"></div>
      </li>
      <li><a class="subheader">Subheader</a></li>
      <li><a class="waves-effect" href="#!">Third Link With Waves</a></li>
      <li><a href="#inicio">Inicio</a></li>
      <li><a href="#catalogo">Catalogo</a></li>
      <li>
        <a href="#productos">Productos</a>
      </li>
      <li><a href="#nosotros">Nosotros</a></li>
    </ul>

    <div class="parallax-container" id="inicio">
      <div class="parallax">
        <img
          src="https://images.pexels.com/photos/947914/pexels-photo-947914.jpeg?auto=compress&cs=tinysrgb&dpr=2&h=650&w=940"
        />
      </div>
    </div>
    <main>
      <!-- catalogo -->
      <div class="divider"></div>
      <div id="catalogo">
        <div class="container">
          <div class="section">
            <div class="row">
              <div class="col s12">
                <div class="section">
                  <div class="col s12">
                    <span class="title pink-text text-accent-1">Catálogo</span>
                  </div>
                  <% arrayProducts.forEach(function(product) { %>
                  <div class="col s12 m6 l4">
                    <div class="card">
                      <div class="card-image">
                        <img
                          class="materialboxed"
                          data-caption="<%= product.nombre %>  $<%= product.precio %>"
                          width="50"
                          src="<%= product.foto %>"
                          alt="<%= product.nombre %>"
                        />
                      </div>
                      <div class="card-content">
                        <p class="area"><%= product.nombre %></p>
                        <h2>$ <%= product.precio %></h2>
                      </div>
                    </div>
                  </div>

                  <% }); %>
                </div>
              </div>
            </div>
          </div>
        </div>

        <div class="carousel" >
          <!-- <p>Stuff</p> -->

          <% arrayProducts.forEach(function(product) { %>

          <a class="carousel-item" href="#one!">
            <div class="col s12 m6 l4">
              <div class="card">
                <div class="card-image">
                  <img
                    class="materialboxed"
                    data-caption="<%= product.nombre %>  $<%= product.precio %>"
                    width="50"
                    src="<%= product.foto %>"
                    alt="<%= product.nombre %>"
                  />
                </div>
                <div class="card-content">
                  <p class="area"><%= product.nombre %></p>
                  <h2>$ <%= product.precio %></h2>
                </div>
              </div>
            </div>
          </a>
          <% }); %>
        </div>
      </div>

      <!-- productos -->
      <div class="container">
        <div class="divider"></div>
        <div class="section center">
          <h5>Lista de productos</h5>

          <!-- <p>Stuff</p> -->
          <a class="waves-effect waves-light btn modal-trigger" href="#modal"
            >Nuevo</a
          >
        </div>

        <!-- Modal Structure -->
        <div id="modal" class="modal">
          <div class="modal-content">
            <h4>Nuevo Producto</h4>
            <div class="row">
              <form class="col s12" method="POST" action="/">
                <div class="row">
                  <div class="input-field col s12">
                    <input
                      id="nombre"
                      type="text"
                      class="validate"
                      autocomplete="off"
                      name="nombre"
                    />
                    <label for="nombre">Nombre</label>
                  </div>
                </div>
                <div class="row" action="/" method="POST">
                  <div class="input-field col s12 m6">
                    <input
                      id="precio"
                      type="number"
                      class="validate"
                      autocomplete="off"
                      name="precio"
                    />
                    <label for="precio">Precio</label>
                  </div>
                  <div class="input-field col s12 m6">
                    <input
                      id="stock"
                      type="number"
                      class="validate"
                      autocomplete="off"
                      name="stock"
                    />
                    <label for="stock">Stock</label>
                  </div>
                </div>
                <div class="row">
                  <div class="input-field col s12">
                    <textarea
                      id="descripcion"
                      class="materialize-textarea"
                      name="descripcion"
                    ></textarea>
                    <label for="descripcion">Descripción</label>
                  </div>
                </div>
                <div class="row">
                  <div class="input-field col s12">
                    <input
                      id="imgURL"
                      type="text"
                      class="validate"
                      autocomplete="off"
                      name="foto"
                    />
                    <label for="img">Imgen URL</label>
                  </div>
                </div>
                <button type="submit" class="waves-effect btn waves-green">
                  Guardar
                </button>
              </form>
            </div>
          </div>
          <div class="modal-footer">
            <a
              href="#!"
              class="modal-close waves-effect btn waves-green btn-flat"
              >Cerrar</a
            >
          </div>
        </div>
      </div>

      <div class="container" id="productos">
        <table class="responsive-table striped highlight">
          <thead>
            <tr>
              <th>Foto</th>
              <th>Nombre</th>
              <th>Descripcion</th>
              <th>Precio</th>
              <th>Fecha</th>
              <th>Stock</th>
              <th>Acciones</th>
            </tr>
          </thead>

          <tbody>
            <% arrayProducts.forEach(function(product) { %>
            <tr>
              <td>
                <img
                  class="materialboxed"
                  data-caption="<%= product.nombre %>"
                  width="50"
                  src="<%= product.foto %>"
                />
              </td>
              <td><%= product.nombre %></td>
              <td><%= product.descripcion %></td>
              <td><%= product.precio %></td>
              <td><%= product.createdAt %></td>
              <td><%= product.stock %></td>
              <td>
                <div class="col s12">
                  <form
                    method="POST"
                    action="/<%= product.id %>?_method=DELETE"
                    id="delete<%= product.id %>"
                  ></form>
                  <button
                    onclick="clicked('<%= product.id %>')"
                    class="btn-floating pulse red lighten-2"
                  >
                    <i class="material-icons">delete</i>
                  </button>
                </div>
                <div class="col s12">
                  <form action="/<%= product.id %>" method="GET">
                    <button
                      type="submit"
                      class="btn-floating pulse yellow lighten-2"
                    >
                      <i class="material-icons">edit </i>
                    </button>
                  </form>
                </div>
              </td>
            </tr>
            <% }); %>
          </tbody>
        </table>
      </div>
    </main>

    <footer class="page-footer grey darken-3" id="nosotros">
      <div class="container">
        <div class="row">
          <div class="col l6 s12">
            <h5 class="white-text">Footer Content</h5>
            <p class="grey-text text-lighten-4">
              You can use rows and columns here to organize your footer content.
            </p>
          </div>
          <div class="col l4 offset-l2 s12">
            <h5 class="white-text">Links</h5>
            <ul>
              <li>
                <a class="grey-text text-lighten-3" href="#inicio">Inicio</a>
              </li>
              <li>
                <a class="grey-text text-lighten-3" href="#catalogo"
                  >Catalogo</a
                >
              </li>
              <li>
                <a class="grey-text text-lighten-3" href="#productos"
                  >Productos</a
                >
              </li>
              <li><a class="grey-text text-lighten-3" href="#!">Link 4</a></li>
            </ul>
          </div>
        </div>
      </div>
      <div class="footer-copyright">
        <div class="container">
          © 2020 Carlos Crispin
          <a class="grey-text text-lighten-4 right" href="#!">More Links</a>
        </div>
      </div>
    </footer>
  </body>
  <script src="https://cdn.jsdelivr.net/npm/sweetalert2@10"></script>
  <!-- Compiled and minified JavaScript -->
  <script src="https://cdnjs.cloudflare.com/ajax/libs/materialize/1.0.0/js/materialize.min.js"></script>
  <script src="js/fun.js"></script>
</html>
